#ifndef _VIDEO_MANAGER_H_
#define _VIDEO_MANAGER_H_

#include"tiempo.h"

int cancion_actual;
int loop;

void video_manager()
{
     if(cancion_actual==0)
     {
         if(cuadro_actual<5)
         {
             close_fli();
             open_fli("video/fli23.fli");
             loop=1;
         }
         if(cuadro_actual==880)
         {
             close_fli();
             open_fli("video/fli25.fli");
             loop=1;
         }
         if(cuadro_actual==970)
         {
             close_fli();
             open_fli("video/fli24.fli");
             loop=0;
         }
         if(cuadro_actual==1150)
         {
             close_fli();
             open_fli("video/fli26.fli");
         }
         if(cuadro_actual==1280)
         {
             close_fli();
             open_fli("video/fli27.fli");
             loop=1;
         }
         if(cuadro_actual==2000)
         {
             close_fli();
             open_fli("video/fli25.fli");
             loop=1;
         }
         if(cuadro_actual==2090)
         {
             close_fli();
             open_fli("video/fli24.fli");
             loop=0;
         }
         if(cuadro_actual==2250)
         {
             close_fli();
             open_fli("video/fli26.fli");
             loop=0;
         }
         if(cuadro_actual==2380)
         {
             close_fli();
             open_fli("video/fli27.fli");
             loop=1;
         }
         if(cuadro_actual==3600)
         {
             close_fli();
             open_fli("video/fli25.fli");
             loop=1;
         }
         if(cuadro_actual==3690)
         {
             close_fli();
             open_fli("video/fli24.fli");
             loop=0;
         }
         if(cuadro_actual==3850)
         {
             close_fli();
             open_fli("video/fli26.fli");
             loop=0;
         }
         if(cuadro_actual==4110)
         {
             close_fli();
             open_fli("video/fli27.fli");
             loop=1;
         }
         if(cuadro_actual==5040)
         {
             close_fli();
             open_fli("video/fli23.fli");
             loop=1;
         }
         
         
     }

     else if(cancion_actual==1)
     {
         if(cuadro_actual<5)
         {
             close_fli();
             open_fli("video/fli01.fli");
             loop=1;
         }
         if(cuadro_actual==160)
         {
	         close_fli();
             open_fli("video/fli00.fli");
             loop=0;
         }
         if(cuadro_actual==305)
         {
	         close_fli();
             open_fli("video/fli02.fli");
         }
         if(cuadro_actual==500)
         {
	         close_fli();
             open_fli("video/fli03.fli");
         }
         if(cuadro_actual==640)
         {
	         close_fli();
             open_fli("video/fli04.fli");
         }
         if(cuadro_actual==780)
         {
	         close_fli();
             open_fli("video/fli05.fli");
         }
         if(cuadro_actual==950)
         {
	         close_fli();
             open_fli("video/fli06.fli");
         }
         if(cuadro_actual==1150)
         {
	         close_fli();
             open_fli("video/fli07.fli");
         }
         if(cuadro_actual==1500)
         {
	         close_fli();
             open_fli("video/fli01.fli");
             loop=1;
         }
         if(cuadro_actual==2140)
         {
	         close_fli();
             open_fli("video/fli05.fli");
             loop=0;
         }
         if(cuadro_actual==2300)
         {
	         close_fli();
             open_fli("video/fli06.fli");
         }
         if(cuadro_actual==2470)
         {
	         close_fli();
             open_fli("video/fli07.fli");
         }
         if(cuadro_actual==2650)
         {
	         close_fli();
             open_fli("video/fli08.fli");
             loop=1;
         }
         if(cuadro_actual==3340)
         {
	         close_fli();
             open_fli("video/fli01.fli");
             loop=1;
         }
         if(cuadro_actual==3950)
         {
	         close_fli();
             open_fli("video/fli05.fli");
             loop=0;
         }
         if(cuadro_actual==4110)
         {
	         close_fli();
             open_fli("video/fli06.fli");
         }
         if(cuadro_actual==4280)
         {
	         close_fli();
             open_fli("video/fli07.fli");
         }
         if(cuadro_actual==4500)
         {
	         close_fli();
             open_fli("video/fli08.fli");
             loop=1;
         }
         if(cuadro_actual==5170)
         {
	         close_fli();
             open_fli("video/fli09.fli");
             loop=0;
         }
         if(cuadro_actual==5370)
         {
	         close_fli();
             open_fli("video/fli10.fli");
         }
         if(cuadro_actual==5570)
         {
	         close_fli();
             open_fli("video/fli11.fli");
         }
         if(cuadro_actual==5770)
         {
	         close_fli();
             open_fli("video/fli12.fli");
         }
         if(cuadro_actual==5970)
         {
	         close_fli();
             open_fli("video/fli13.fli");
         }
     }
         
     else if(cancion_actual==2)
     {
         if(cuadro_actual<5)
         {
             close_fli();
             open_fli("video/fli14.fli");
             loop=1;
         }
         if(cuadro_actual==525)
         {
             close_fli();
             open_fli("video/fli15.fli");
         }
         if(cuadro_actual==930)
         {
             close_fli();
             open_fli("video/fli16.fli");
             loop=0;
         }
         if(cuadro_actual==980)
         {
             close_fli();
             open_fli("video/fli17.fli");
             loop=1;
         }
         if(cuadro_actual==1100)
         {
             close_fli();
             open_fli("video/fli18.fli");
             loop=0;
         }
         if(cuadro_actual==1200)
         {
             close_fli();
             open_fli("video/fli19.fli");
             loop=0;
         }
         if(cuadro_actual==1300)
         {
             close_fli();
             open_fli("video/fli20.fli");
             loop=1;
         }
         if(cuadro_actual==1500)
         {
             close_fli();
             open_fli("video/fli21.fli");
             loop=1;
         }
         if(cuadro_actual==1750)
         {
             close_fli();
             open_fli("video/fli22.fli");
             loop=1;
         }
         if(cuadro_actual==2600)
         {
             close_fli();
             open_fli("video/fli20.fli");
             loop=1;
         }
         
         
     }   
      
}   

#endif
